/* The switch - the box around the slider */
.theme-switch-wrapper {
  position: relative;
  display: inline-block;
  width: 45px;
  height: 26px;
}

/* Hide default HTML checkbox */
.theme-switch-wrapper input {
  opacity: 0;
  width: 0;
  height: 0;
}

.theme-switch {
  display: inline-block;
  height: 26px;
  position: relative;
  width: 45px;

  input {
    display: none;
  }

  &-wrapper {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    margin-top: 20px;

    em {
      margin-left: 10px;
      font-size: 1rem;
    }
  }
}

/* The slider */
.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #666666;
  -webkit-transition: .4s;
  transition: .4s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 15px;
  width: 15px;
  left: 7.5px;
  bottom: 5.5px;
  background-color: white;
  -webkit-transition: .4s;
  transition: .4s;
}

input:checked + .slider {
  background-color: #FCC201;
}

input:focus + .slider {
  box-shadow: 0 0 1px #FCC201;
}

input:checked + .slider:before {
  -webkit-transform: translateX(15px);
  -ms-transform: translateX(15px);
  transform: translateX(15px);
}

/* Rounded sliders */
.slider.round {
  border-radius: 26px;
}

.slider.round:before {
  border-radius: 50%;
}